## z8530drv-utils 3.0-2

=== Makefile ===
VERSION = 3.0-2
DIRECTORY = z8530drv-utils
KERNEL  = `cat /proc/version | cut -d" " -f3`
CCOPT   = -O2 -m486 -Wall -Wstrict-prototypes # -DCONFIG_SCC_STANDALONE
CC	= gcc

all: utils

utils: sccparam sccstat sccinit sccgencfg kissbridge

sccparam: sccparam.c
	${CC} ${CCOPT} sccparam.c -o $@

sccstat: sccstat.c
	${CC} ${CCOPT} sccstat.c -o $@

sccinit: sccinit.c
	${CC} ${CCOPT} sccinit.c -o $@

sccgencfg: sccgencfg.c
	${CC} ${CCOPT} sccgencfg.c -o $@

kissbridge: kissbridge.c
	${CC} ${CCOPT} kissbridge.c -o $@

install:
	install -g root -o root -m 0755 sccstat ${prefix}/sbin/sccstat
	install -g root -o root -m 0700 sccinit ${prefix}/sbin/sccinit
	install -g root -o root -m 0700 sccparam ${prefix}/sbin/sccparam
	install -g root -o root -m 0755 sccgencfg ${prefix}/usr/sbin/sccgencfg 
	install -g root -o root -m 0700 kissbridge ${prefix}/usr/sbin/kissbridge
	if [ -f ${prefix}/etc/ax25/z8530drv.conf ] ; then \
		install -g root -o root -m 0644 z8530drv.conf ${prefix}/etc/ax25/z8530drv.conf.ex ; \
	else \
		install -g root -o root -m 0644 z8530drv.conf ${prefix}/etc/ax25/z8530drv.conf ; \
	fi

clean:
	rm -f *.o *~ doc/*~

distclean: clean
	rm -f sccinit sccparam sccstat sccgencfg kissbridge

distrib:
	( cd .. && tar zcvvf z8530drv-utils-${VERSION}.tar.gz \
	z8530drv-utils/README z8530drv-utils/Makefile \
	z8530drv-utils/doc z8530drv-utils/*.c z8530drv-utils/*.h \
	z8530drv-utils/sccinit z8530drv-utils/sccparam z8530drv-utils/sccstat \
	z8530drv-utils/sccgencfg z8530drv-utils/kissbridge \
	z8530drv-utils/z8530drv.conf z8530drv-utils/*.lsm)

lharc:
	( cd .. && lharc a z8530drv-utils-${VERSION}.lzh \
	z8530drv-utils/README z8530drv-utils/Makefile \
	z8530drv-utils/doc z8530drv-utils/*.c z8530drv-utils/*.h \
	z8530drv-utils/sccinit z8530drv-utils/sccparam z8530drv-utils/sccstat \
	z8530drv-utils/sccgencfg z8530drv-utils/kissbridge \
	z8530drv-utils/z8530drv.conf z8530drv-utils/*.lsm)

dep:
	${CC} ${CCOPT} -M sccstat.c sccinit.c sccparam.c kissbridge.c sccgencfg.c >.depend

ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== debian/changelog ===
z8530drv-utils (3.0-2) unstable; urgency=low

  * Initial Release.

 -- Joerg Reuter <jreuter@poboxes.com>  Sat, 15 Aug 1998 14:50:00 +0200

=== debian/control ===
Source: z8530drv-utils
Section: hamradio
Priority: extra
Maintainer: Joerg Reuter <jreuter@poboxes.com>
Standards-Version: 2.4.0.1

Package: z8530drv-utils
Architecture: any
Depends: ${shlibs:Depends}
Recommends: ax25-utils
Description: Utilities to initialize the Z8530 AX.25 network driver
 These utilities are needed to initialize z8530drv, the AX.25 network
 driver for Z8530 based HDLC cards. This version only works with
 z8530drv-3.0 included in Linux kernels from 2.1.6 on.

=== debian/rules ===
#!/usr/bin/make -f
# Based on...
# sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	-$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean

	dh_clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the files into debian/tmp
	$(MAKE) prefix=`pwd`/debian/tmp install

	dh_installdocs
#	dh_installexamples
	dh_installmenu
#	dh_installinit
#	dh_installcron
#	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
#	dh_suidregister
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
